## ros-noetic-pepper-meshes 0.2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(pepper_meshes)

find_package(catkin)
catkin_package()

# When getting a new binay, the MD5 might change, and the folder hierarchy too
# read comments below to adapt

set(TMP_DIR ${CATKIN_DEVEL_PREFIX}/tmp)

set(INSTALLER_TMP_PATH ${TMP_DIR}/tmp/installer.run)

# Try to figure out the architecture
string(FIND ${CATKIN_DEVEL_PREFIX} "i686" IS_32)
message(STATUS "Architecture is apparently 32 (-1 for no): ${IS_32}")
if(${IS_32} STREQUAL "-1")
# Trust CMAKE_SYSTEM_PROCESSOR which does not work on the farm
if (${CMAKE_HOST_SYSTEM_PROCESSOR} STREQUAL "x86_64")
set(IS_32 FALSE)
else()
set(IS_32 TRUE)
endif()
endif()

if (NOT ${IS_32})
message(STATUS "Downloading 64 bit installer")
file(DOWNLOAD
"https://github.com/ros-naoqi/pepper_meshes_installer/raw/master/peppermeshes-0.2.0-linux-x64-installer.run"
  ${INSTALLER_TMP_PATH} SHOW_PROGRESS
  INACTIVITY_TIMEOUT 60
  EXPECTED_MD5 9e78f24b52838e704210881f92c0983d
)
else()
message(STATUS "Downloading 32 bit installer")
file(DOWNLOAD
"https://github.com/ros-naoqi/pepper_meshes_installer/raw/master/peppermeshes-0.2.0-linux-installer.run"
  ${INSTALLER_TMP_PATH} SHOW_PROGRESS
  INACTIVITY_TIMEOUT 60
  EXPECTED_MD5 f48a610633d2db48bc84db16f4847b70
)
endif()

# specify the interesting folder in the archive. You might want to change
# that for a new binary where the structure is different
set(TMP_MESH_PATH ${TMP_DIR}/meshes)

# final path in devel/install space
set(FINAL_MESH_PATH ${CATKIN_GLOBAL_SHARE_DESTINATION}/${PROJECT_NAME}/)

# make the file executable to install
file(COPY ${INSTALLER_TMP_PATH}
     FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
     DESTINATION ${TMP_DIR}
)

set(INSTALLER_PATH ${TMP_DIR}/installer.run)

# add a target for devel space
add_custom_target(${PROJECT_NAME}_meshes
  COMMAND ${INSTALLER_PATH} --mode text --prefix ${TMP_DIR}
  COMMAND mkdir -p ${CATKIN_DEVEL_PREFIX}/${FINAL_MESH_PATH}
  COMMAND cp -fr ${TMP_MESH_PATH} ${CATKIN_DEVEL_PREFIX}/${FINAL_MESH_PATH}/
  COMMAND rm -fr ${TMP_DIR}/rollback*
)

# uncompress the meshes during install
install(CODE
"
# uncompress the archive
message(STATUS \"using ${INSTALLER_PATH} to decompress to ${TMP_DIR}\")
execute_process(COMMAND ${INSTALLER_PATH} --mode unattended --prefix ${TMP_DIR}
                OUTPUT_VARIABLE OUT
                ERROR_VARIABLE ERROR
                RESULT_VARIABLE RESULT
)
message(STATUS \"intall out: \${OUT}\")
message(STATUS \"install error: \${ERROR}\")
message(STATUS \"install result: \${RESULT}\")

execute_process(COMMAND ls
                WORKING_DIRECTORY ${TMP_DIR}
                OUTPUT_VARIABLE OUT_LS
                ERROR_VARIABLE ERROR_LS
                RESULT_VARIABLE RESULT_LS
)
message(STATUS \"ls out: \${OUT_LS}\")
message(STATUS \"ls error: \${ERROR_LS}\")
message(STATUS \"ls result: \${RESULT_LS}\")

execute_process(COMMAND file ${TMP_DIR}/installer.run
                OUTPUT_VARIABLE OUT_FILE
                ERROR_VARIABLE ERROR_FILE_CMD
                RESULT_VARIABLE RESULT_FILE
)
message(STATUS \"file out: \${OUT_FILE}\")
message(STATUS \"file error: \${ERROR_FILE_CMD}\")
message(STATUS \"file result: \${RESULT_FILE}\")
"
)

# install the archive
install(DIRECTORY ${TMP_MESH_PATH}
        DESTINATION ${FINAL_MESH_PATH}/
)

=== debian/changelog ===
ros-noetic-pepper-meshes (0.2.5-0buster) buster; urgency=high

  * Update ERROR_FILE to ERROR_FILE_CMD in CMakeLists to avoid build crash
  * Contributors: mbusy

 -- Maxime Busy <mbusy@softbankrobotics.com>  Tue, 06 Sep 2022 22:00:00 -0000

ros-noetic-pepper-meshes (0.2.4-0buster) buster; urgency=high

  * add Maxime Busy as maintainer (#6 <https://github.com/ros-naoqi/pepper_meshes/issues/6>)
  * update maintainers (#4 <https://github.com/ros-naoqi/pepper_meshes/issues/4>)
  * Contributors: Maxime Busy, Mikael Arguedas

 -- Maxime Busy <mbusy@softbankrobotics.com>  Tue, 07 Jan 2020 23:00:00 -0000

ros-noetic-pepper-meshes (0.2.3-0buster) buster; urgency=high

  * fixed install rule and flder path
  * Update package.xml
    added myself as a maintainer as requested by vrabaud
  * Contributors: Arguedas Mikael, Mikael Arguedas

 -- Maxime Busy <mbusy@softbankrobotics.com>  Tue, 02 Feb 2016 23:00:00 -0000

ros-noetic-pepper-meshes (0.2.2-0buster) buster; urgency=high

  * fixed folder names in CMakeLists
  * Contributors: Mikael Arguedas

 -- Maxime Busy <mbusy@softbankrobotics.com>  Wed, 27 Jan 2016 23:00:00 -0000

ros-noetic-pepper-meshes (0.2.1-0buster) buster; urgency=high

  * update MD5 checksum for new installers
  * Contributors: Mikael Arguedas

 -- Maxime Busy <mbusy@softbankrobotics.com>  Sun, 24 Jan 2016 23:00:00 -0000

ros-noetic-pepper-meshes (0.2.0-0buster) buster; urgency=high

  * update to the latest version of the meshes
  * Contributors: Vincent Rabaud

 -- Maxime Busy <mbusy@softbankrobotics.com>  Wed, 15 Apr 2015 22:00:00 -0000

ros-noetic-pepper-meshes (0.1.2-0buster) buster; urgency=high

  * fix typo
  * Contributors: Vincent Rabaud

 -- Maxime Busy <mbusy@softbankrobotics.com>  Tue, 07 Apr 2015 22:00:00 -0000

ros-noetic-pepper-meshes (0.1.1-0buster) buster; urgency=high

  * update MD5
  * first commit of the installer
  * Contributors: Vincent Rabaud

 -- Maxime Busy <mbusy@softbankrobotics.com>  Tue, 07 Apr 2015 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-pepper-meshes
Section: misc
Priority: optional
Maintainer: Maxime Busy <mbusy@softbankrobotics.com>
Build-Depends: debhelper (>= 9.0.0), default-jdk, ros-noetic-catkin
Homepage: http://github.com/ros-naoqi/pepper_meshes/
Standards-Version: 3.9.2

Package: ros-noetic-pepper-meshes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: meshes for the Aldebaran Robotics Pepper

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-pepper-meshes//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
